clang 8.0.0

Public Member Functions | Friends | List of all members
clang::ento::IndirectGotoNodeBuilder::iterator Class Reference

`#include "clang/StaticAnalyzer/Core/PathSensitive/CoreEngine.h"`

## Public Member Functions
iterator & | operator++ ()
bool | operator!= (const iterator &X) const
const LabelDecl * | getLabel () const
const CFGBlock * | getBlock () const

## Friends
class | IndirectGotoNodeBuilder

## Detailed Description

Definition at line 481 of file CoreEngine.h.

## Member Function Documentation

## ◆ getBlock()

const CFGBlock* clang::ento::IndirectGotoNodeBuilder::iterator::getBlock | ( |  | ) | const
| inline

Definition at line 496 of file CoreEngine.h.

Referenced by clang::ento::IndirectGotoNodeBuilder::generateNode().

## ◆ getLabel()

const LabelDecl* clang::ento::IndirectGotoNodeBuilder::iterator::getLabel | ( |  | ) | const
| inline

Definition at line 492 of file CoreEngine.h.

## ◆ operator!=()

bool clang::ento::IndirectGotoNodeBuilder::iterator::operator!= | ( | const iterator & | X | ) | const
| inline

Definition at line 490 of file CoreEngine.h.

## ◆ operator++()

iterator& clang::ento::IndirectGotoNodeBuilder::iterator::operator++ | ( |  | ) |
| inline

Definition at line 489 of file CoreEngine.h.

## Friends And Related Function Documentation

## ◆ IndirectGotoNodeBuilder

friend class IndirectGotoNodeBuilder
| friend

Definition at line 482 of file CoreEngine.h.

The documentation for this class was generated from the following file:

- include/clang/StaticAnalyzer/Core/PathSensitive/CoreEngine.h